| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | Public Attributes | List of all members
FontPalette Class Reference

## Public Member Functions
bool | operator== (FontPalette &rhs)
bool | operator!= (FontPalette &rhs)
bool | isNULL ()
std::vector< string > | GetAvailableFonts ()
std::vector< Font > | GetReferencedFonts ()
std::vector< Font > | GetAdditionalFonts ()
bool | RemoveAdditionalFontKey (String fontKey)
bool | RemoveAdditionalFont (Font &font)
bool | AddAdditionalFont (Font &font)
bool | AddFontGlyphRange (Font &font, unsigned int start, unsigned int end)
bool | RemoveFontGlyphRange (Font &font, unsigned int start, unsigned int end)
bool | RemoveUnicodeFontRanges (Font &font)

## Public Attributes
newobject | GetAvailableFonts
newobject | GetReferencedFonts
newobject | GetAdditionalFonts

## Detailed Description

Python extension for the FontPalette editor class.

## Member Function Documentation

## ◆ AddAdditionalFont()

bool FontPalette::AddAdditionalFont | ( | Font & | font | ) |

Adds a font to the Additional Fonts list of the document.

Parameters

  font | the font to be added

Returns
  boolean representing whether a font has been added or not

## ◆ AddFontGlyphRange()

bool FontPalette::AddFontGlyphRange | ( | Font & | font,
|  | unsigned int | start,
|  | unsigned int | end
| ) |  |

Adds the specified range to the given unicode font.

Parameters

  font | the font to be modified
  start | the starting value for the range, min 256, max 65534
  end | the ending value for the range, min 256, max 65534

Returns
  boolean representing whether the glyph range could be added or not

## ◆ GetAdditionalFonts()

std::vector< Font > FontPalette::GetAdditionalFonts | ( |  | ) |

Gets the list of Additional Fonts fonts referenced by the document.

Returns
  a vector of Fonts references by the document

## ◆ GetAvailableFonts()

std::vector< string > FontPalette::GetAvailableFonts | ( |  | ) |

Gets the list of fonts available to the editor.

Returns
  a vector of strings containing the available font family names

## ◆ GetReferencedFonts()

std::vector< Font > FontPalette::GetReferencedFonts | ( |  | ) |

Gets the list of fonts referenced by the document.

Returns
  a vector of Fonts references by the document

## ◆ isNULL()

bool FontPalette::isNULL | ( |  | ) |

determine if font palette does not exist.

Returns
  True if this object represents a NULL font palette

Deprecated:
  Refer to the Truth Value Checking page

## ◆ operator!=()

bool FontPalette::operator!= | ( | FontPalette & | rhs | ) |

inequality operator.

Parameters

  rhs | instance to compare

## ◆ operator==()

bool FontPalette::operator== | ( | FontPalette & | rhs | ) |

equality operator.

Parameters

  rhs | instance to compare

## ◆ RemoveAdditionalFont()

bool FontPalette::RemoveAdditionalFont | ( | Font & | font | ) |

Removes a font from the Additional Fonts list of the document.

Parameters

  font | the font to be removed

Returns
  boolean representing whether a font has been removed or not

## ◆ RemoveAdditionalFontKey()

bool FontPalette::RemoveAdditionalFontKey | ( | String | fontKey | ) |

Removes a font from the Additional Fonts list of the document by full name.

Parameters

  fontKey | the key of the font to be removed, such as "ArialRegular12"

Returns
  boolean representing whether a font has been removed or not

## ◆ RemoveFontGlyphRange()

bool FontPalette::RemoveFontGlyphRange | ( | Font & | font,
|  | unsigned int | start,
|  | unsigned int | end
| ) |  |

Removes the specified range from the given unicode font.

Parameters

  font | the font to be modified
  start | the starting value for the range
  end | the ending value for the range

Returns
  boolean representing whether the glyph range could be removed or not

## ◆ RemoveUnicodeFontRanges()

bool FontPalette::RemoveUnicodeFontRanges | ( | Font & | font | ) |

Removes the font from the list of Unicode fonts, and its set ranges along with it.

Note that it will be re-added with the default range if the font is still in the "Additional Fonts" list.

Parameters

  font | the font to be modified

Returns
  boolean representing whether the ranges could be removed or not

## Member Data Documentation

## ◆ GetAdditionalFonts

newobject FontPalette::GetAdditionalFonts

## ◆ GetAvailableFonts

newobject FontPalette::GetAvailableFonts

## ◆ GetReferencedFonts

newobject FontPalette::GetReferencedFonts

The documentation for this class was generated from the following file:

- FontPalette.i